## seahorse 3.38.0.1

=== meson_options.txt ===
option('help', type: 'boolean', value: true, description: 'Build help')
option('profile', type: 'combo', choices: [ 'default', 'development' ], value: 'default', description: 'Indicate whether this is a nightly build (used for CI purposes)')
option('pgp-support', type: 'boolean', value: true, description: 'Add support PGP keys')
option('check-compatible-gpg', type: 'boolean', value: true, description: 'Perform a rudimentary check if the GPG and GPG versions are compatible')
option('pkcs11-support', type: 'boolean', value: true, description: 'Add support for PKCS#11 objects')
option('keyservers-support', type: 'boolean', value: true, description: 'Add support for keyservers')
option('hkp-support', type: 'boolean', value: true, description: 'Add support for keyservers using LDAP')
option('ldap-support', type: 'boolean', value: true, description: 'Add support for keyservers using HKP')
option('key-sharing', type: 'boolean', value: true, description: 'Add support for DNS-SD key sharing')
option('manpage', type: 'boolean', value: false, description: 'Build and install the manpage (requires xsltproc)')

## seahorse 2.30.1

=== debian/changelog ===
seahorse (2.30.1-2) unstable; urgency=low

  * Switch to 3.0 source format.
  * 30_preferences_menu.patch: new patch. Move to preferences menu. 
    Closes: #580402.

 -- Josselin Mouette <joss@debian.org>  Fri, 07 May 2010 22:12:11 +0200

seahorse (2.30.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/90_autotools.patch:
      - Updated for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 28 Apr 2010 14:19:06 +0200

seahorse (2.30.0-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/02_maxpathlen_hurd.patch:
    - Fix FTBFS on the Hurd: don't hardcode the GPG homedir length to
      MAXPATHLEN, use dynamic allocation instead.
  * debian/control.in:
    - Stop build depending on libxml2-dev, it's needed for the epiphany
      plugin which is now in seahorse-plugins.

  [ Sebastian Dröge ]
  * New upstream stable release:
    + debian/patches/02_maxpathlen_hurd.patch:
      - Dropped, merged upstream.
    + debian/control.in:
      - Update build dependencies.
    + debian/patches/90_autotools.patch:
      - Regenerated for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 12 Apr 2010 17:14:26 +0200

seahorse (2.28.1-1) unstable; urgency=low

  * New upstream release.

 -- Andrea Veri <andrea.veri89@gmail.com>  Thu, 22 Oct 2009 21:39:47 +0200

seahorse (2.28.0-1) unstable; urgency=low

  * New upstream release.
    - Set usage flags during unattended key generation,
      (Closes: #501085)
  * debian/control.in:
    - removed libglade2-dev B-D, as per configure.in
      requirements.
  * debian/patches/02_service_autostart.patch:
    - removed, applied upstream
  * debian/patches/90_autotools.patch:
    - refreshed.
  * debian/patches/series:
    - refreshed

 -- Andrea Veri <andrea.veri89@gmail.com>  Thu, 15 Oct 2009 11:58:45 +0200

seahorse (2.26.2-1) unstable; urgency=low

  [ Andreas Moog ]
  * New upstream release. Closes: #543404.
  * debian/patches/99_ltmain.patch, debian/patches/08_force_ssh.patch
    refreshed to apply cleanly
  * debian/seahorse.1, debian/seahorse.manpages
    add manpage for seahorse (Closes: #340218)
  * debian/control{.in}
    fix spelling error (Gnu -> GNU)

  [ Emilio Pozuelo Monfort ]
  * Standards-Version is 3.8.3, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 29 Aug 2009 12:14:29 +0200

seahorse (2.26.1-2) unstable; urgency=low

  * 01_autostart_path.patch: new patch. Needed to move the .desktop file 
    to /usr/share, as is intended for friggin’ translated files that 
    change with each and every release, since the path is hardcoded in 
    the daemon itself. Seriously, WTF?
  * Change seahorse.install accordingly.
  * Rename 90_autoconf.patch to 90_autotools.patch, and regenerate it 
    with the full stack this time.
  * 02_service_autostart.patch: don’t daemonize seahorse-daemon when it 
    is autostarted by D-Bus, otherwise the first invocation will always 
    fail. Thanks Sjoerd for the explanations.

 -- Josselin Mouette <joss@debian.org>  Wed, 20 May 2009 19:54:51 +0200

seahorse (2.26.1-1) unstable; urgency=low

  * New upstream release.
    + Builds with newer gnome-keyring. Closes: #527658.
    + Refactored code with greatly improved speed. Closes: #395814.
    + Starts the daemon with the session if needed. Closes: #438652.
    + Removes temporary directories after exiting. Closes: #505648.
    + Correctly implements SSH key refreshing. Closes: #508332.
  * Update build-dependencies.
  * Add missing dependencies in the -dev package.
  * 90_autoconf.patch: regenerated for the new version.
  * Install the autostart file in /usr/share/gnome/autostart.
  * Install API documentation in libcryptui-dev.

 -- Josselin Mouette <joss@debian.org>  Wed, 20 May 2009 13:34:28 +0200

seahorse (2.24.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Sun, 08 Mar 2009 19:16:37 +0100

seahorse (2.24.1-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    - Update build dependencies.
    - Recommend gvfs as it's needed to launch the help.
    - debian/patches/01_sharedlib.patch,
      debian/patches/05_focus_windows.patch:
      + Removed, fixed upstream.
    - debian/patches/04_ldap_deprecated.patch:
      + Removed, upstream doesn't use deprecated LDAP functions anymore.
    - debian/patches/06_tray_hide_window.patch,
      debian/patches/09_gecko_1.9.patch,
      debian/patches/10_ephyembed_api.patch:
      + Removed, the code is now in seahorse-plugins.
    - debian/patches/70_relibtoolize.patch:
      + Turn it into 90_autoconf.patch and generate it running autoconf.
    - Enable key sharing support.
   * Remove mentions to the gone code from the description.
   * Remove no longer needed hacks from debian/rules.
   * Add libgcrypt{0,-dev} packages. Taken from Ubuntu.
   * seahorse suggests seahorse-plugins.
   * debian/seahorse.Xsession,
     debian/seahorse.preinst:
     - Remove the Xsession file, as the agent is now in seahorse-plugins.
       Also, remove the conffile on upgrades. Taken from Ubuntu.
   * Enable PKCS#11 support. Build-dep on libgp11-dev.

  [ Josselin Mouette ]
  * Remove seahorse’s recommends on itself.
  * 99_ltmain_as-needed.patch: make --as-needed work with libraries.

 -- Josselin Mouette <joss@debian.org>  Tue, 09 Dec 2008 22:23:19 +0100

seahorse (2.22.3-2) unstable; urgency=low

  * 02_close_fds.patch: set close-on-exec flag on the agent socket's 
    file descriptor to avoid leaking it to spawned processes.
    Closes: #492282.

 -- Josselin Mouette <joss@debian.org>  Sat, 30 Aug 2008 18:56:42 +0200

seahorse (2.22.3-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/control.in:
    + Updated Standards-Version to 3.8.0, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Jul 2008 08:21:48 +0200

seahorse (2.22.2-5) unstable; urgency=low

  * Upload to unstable; drop check-dist include.


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: seahorse
Section: gnome
Priority: optional
Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 5),
               cdbs (>= 0.4.41),
               scrollkeeper,
               libgpgme11-dev (>= 1.0.0),
               libgp11-dev (>= 2.29.4),
               libgcr-dev (>= 2.25.5),
               intltool (>= 0.35),
               libsoup2.4-dev,
               libldap2-dev,
               libnotify-dev,
               libavahi-glib-dev (>= 0.6),
               libavahi-client-dev (>= 0.6),
               libdbus-glib-1-dev,
               gnome-doc-utils,
               gtk-doc-tools (>= 1.9),
               libgnome-keyring-dev (>= 2.25.5),
               libglib2.0-dev (>= 2.10.0),
               libgtk2.0-dev (>= 2.18.0),
               libgconf2-dev,
               gnome-pkg-tools
Build-Conflicts: gnupg2
Standards-Version: 3.8.4

Package: seahorse
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gnupg (>= 1.4.7)
Recommends: openssh-client
Suggests: seahorse-plugins
Description: GNOME front end for GnuPG
 Seahorse is a front end for GnuPG - the GNU Privacy Guard program -
 that integrates to the GNOME desktop. It is a tool for secure
 communications and data storage.  Data encryption and digital signature
 creation can easily be performed through a GUI and Key  Management
 operations can easily be carried out through an intuitive interface.

Package: libcryptui0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Section: libs
Replaces: seahorse (<< 2.23.6-0ubuntu2)
Description: the UI library for DBUS functions exported by seahorse
 Seahorse is a front end for GnuPG - the GNU Privacy Guard program -
 that integrates to the GNOME desktop. It is a tool for secure
 communications and data storage.  Data encryption and digital signature
 creation can easily be performed through a GUI and Key  Management
 operations can easily be carried out through an intuitive interface.
 .
 This package contains the shared library.

Package: libcryptui-dev
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libglib2.0-dev (>= 2.10.0),
         libgtk2.0-dev (>= 2.18.0),
         libgconf2-dev,
         libcryptui0 (= ${binary:Version})
Section: libdevel
Description: the UI library for DBUS functions exported by seahorse (development)
 Seahorse is a front end for GnuPG - the GNU Privacy Guard program -
 that integrates to the GNOME desktop. It is a tool for secure
 communications and data storage.  Data encryption and digital signature
 creation can easily be performed through a GUI and Key  Management
 operations can easily be carried out through an intuitive interface.
 .
 This package contains the development files for the library

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --disable-update-mime-database \
			     --disable-schemas-install \
			     --disable-scrollkeeper \
			     --enable-pgp

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/seahorse/([\d\.]+)[02468]/seahorse-([\d\.]+)\.tar\.gz

## seahorse 2.32.0

=== debian/changelog ===
seahorse (2.32.0-0ubuntu3) natty; urgency=low

  * debian/patches/91_credentialview_use_cpu.patch: git commit, don't eat cpu
    while credential are being viewed (lp: #556349)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 31 Mar 2011 15:48:59 +0200

seahorse (2.32.0-0ubuntu2) natty; urgency=low

  * Rebuild to optimize SVGs and PNGs.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 13 Dec 2010 11:43:52 +0100

seahorse (2.32.0-0ubuntu1) maverick; urgency=low

  * New upstream version 

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 29 Sep 2010 17:23:25 +0200

seahorse (2.31.91-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 31 Aug 2010 14:37:26 +1000

seahorse (2.30.1-2ubuntu1) maverick; urgency=low

  * Rebase on Debian unstable, remaining Ubuntu changes:
  * debian/control.in:
    - Bump libglib2.0-dev version
    - Make libcryptui-dev replace seahorse
    - Build-depend on liblaunchpadintegration-dev
    - Added Vcs-Bzr link
  * debian/rules:
    - Add a shlibs rule for libcryptui0 (>= 2.25.4)
    - Run autotools on build
  * debian/seahorse.preinst:
    - Remove daemon autostart .desktop file on upgrade.
  * debian/patches/01_lpi.patch:
    - Launchpad integration
  * debian/patches/11_ubuntu-keyserver.patch:
    - Make ubuntu keyserver the default
  * debian/patches/90_autotools.patch:
    - Obsolete, now done in debian/rules
  * debian/watch:
    - Watch for unstable versions

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 31 May 2010 22:22:22 +1000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Source: seahorse
 Section: gnome
 Priority: optional
-Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper (>= 5),
                cdbs (>= 0.4.41),
                scrollkeeper,
@@ -24,12 +25,14 @@
                gnome-doc-utils,
                gtk-doc-tools (>= 1.9),
                libgnome-keyring-dev (>= 2.25.5),
-               libglib2.0-dev (>= 2.10.0),
+               libglib2.0-dev (>= 2.16.0),
                libgtk2.0-dev (>= 2.18.0),
                libgconf2-dev,
-               gnome-pkg-tools
+               gnome-pkg-tools,
+               liblaunchpad-integration-dev (>= 0.1.17)
 Build-Conflicts: gnupg2
 Standards-Version: 3.8.4
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/seahorse/ubuntu
 
 Package: seahorse
 Architecture: any
@@ -64,11 +67,12 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libglib2.0-dev (>= 2.10.0),
+         libglib2.0-dev (>= 2.16.0),
          libgtk2.0-dev (>= 2.18.0),
          libgconf2-dev,
          libcryptui0 (= ${binary:Version})
 Section: libdevel
+Replaces: seahorse (<< 2.25.90-0ubuntu2)
 Description: the UI library for DBUS functions exported by seahorse (development)
  Seahorse is a front end for GnuPG - the GNU Privacy Guard program -
  that integrates to the GNOME desktop. It is a tool for secure

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,15 @@
 include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
+DEB_AUTO_UPDATE_LIBTOOL=pre
+DEB_AUTO_UPDATE_ACLOCAL=1.11
+DEB_AUTO_UPDATE_AUTOCONF=1
+DEB_AUTO_UPDATE_AUTOHEADER=1
+DEB_AUTO_UPDATE_AUTOMAKE=1.11
+
 LDFLAGS += -Wl,-O1 -Wl,--as-needed
+
+DEB_DH_MAKESHLIBS_ARGS_libcryptui0 += -V 'libcryptui0 (>= 2.27.5)'
 
 DEB_CONFIGURE_EXTRA_FLAGS += --disable-update-mime-database \
 			     --disable-schemas-install \

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/seahorse/([\d\.]+)\d/seahorse-([\d\.]+)\.tar\.gz

## seahorse 3.0.2

=== debian/changelog ===
seahorse (3.0.2-1) unstable; urgency=low

  * New upstream stable release.
  * debian/watch: Switch to .bz2 tarballs.
  * Refresh debian/patches/08_force_ssh.patch.
  * Bump debhelper compatibility level to 8. Update Build-Depends accordingly.
  * Replace Build-Depends on libgp11-dev with libgck-dev (>= 3.0.0) for
    PKCS#11 support.
  * Drop leading article from short description.

 -- Michael Biebl <biebl@debian.org>  Thu, 02 Jun 2011 23:22:44 +0200

seahorse (3.0.0-1) unstable; urgency=low

  * New upstream stable release.
  * Build with GTK+3 and require 3.0 versions of libgnome-keyring-dev and
    libgcr-dev.
  * Rename libcryptui0 to libcryptui0a, as it now links to GTK+3 but
    didn't get a soname bump upstream.
  * Refresh patches.
  * Build-Depend on dh-autoreconf, and use it to replace 90_autotools.patch.
  * Enable gobject-introspection support for libcryptui.
  * Disable libnotify support temporarily, to avoid entangling the
    gnome-keyring transition with libnotify's.
  * Bump Standards-Version to 3.9.2 (no changes required).
  * Add Vcs-* and Homepage fields.
  * Add copyright notes for libcryptui, which is LGPL, and point to the
    non-symlinked version of GPL-2.
  * Adapt the format of debian/NEWS to something lintian wouldn't ever
    bark about.

 -- Jordi Mallach <jordi@debian.org>  Thu, 14 Apr 2011 23:26:01 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: seahorse
Section: gnome
Priority: optional
Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 8),
               cdbs (>= 0.4.41),
               dh-autoreconf,
               scrollkeeper,
               libgpgme11-dev (>= 1.0.0),
               libgck-dev (>= 3.0.0),
               libgcr-3-dev (>= 3.0.0),
               intltool (>= 0.35),
               libsoup2.4-dev,
               libldap2-dev,
               libavahi-glib-dev (>= 0.6),
               libavahi-client-dev (>= 0.6),
               libdbus-glib-1-dev (>= 0.35),
               gnome-doc-utils,
               gtk-doc-tools (>= 1.9),
               libgnome-keyring-dev (>= 3.0.0),
               libglib2.0-dev (>= 2.10.0),
               libgtk-3-dev (>= 2.90.0),
#               libnotify-dev (>= 0.7),
               libgconf2-dev,
               gobject-introspection (>= 0.6.4),
               libgirepository1.0-dev (>= 0.6.4),
               gir1.2-gtk-3.0,
               gnome-pkg-tools
Build-Conflicts: gnupg2
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/seahorse/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/seahorse/
Homepage: http://live.gnome.org/Seahorse

Package: seahorse
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gnupg (>= 1.4.7)
Recommends: openssh-client
Suggests: seahorse-plugins
Description: GNOME front end for GnuPG
 Seahorse is a front end for GnuPG - the GNU Privacy Guard program -
 that integrates to the GNOME desktop. It is a tool for secure
 communications and data storage.  Data encryption and digital signature
 creation can easily be performed through a GUI and Key Management
 operations can easily be carried out through an intuitive interface.

Package: libcryptui0a
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Replaces: seahorse (<< 2.23.6-0ubuntu2)
Conflicts: libcryptui0
Description: UI library for DBUS functions exported by seahorse
 Seahorse is a front end for GnuPG - the GNU Privacy Guard program -
 that integrates to the GNOME desktop. It is a tool for secure
 communications and data storage.  Data encryption and digital signature
 creation can easily be performed through a GUI and Key Management
 operations can easily be carried out through an intuitive interface.
 .
 This package contains the shared library.

Package: libcryptui-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libglib2.0-dev (>= 2.10.0),
         libgtk-3-dev (>= 2.90.0),
         libgconf2-dev,
         libcryptui0a (= ${binary:Version}),
         gir1.2-cryptui-0.0 (= ${binary:Version})
Description: UI library for DBUS functions exported by seahorse (development)
 Seahorse is a front end for GnuPG - the GNU Privacy Guard program -
 that integrates to the GNOME desktop. It is a tool for secure
 communications and data storage.  Data encryption and digital signature
 creation can easily be performed through a GUI and Key Management
 operations can easily be carried out through an intuitive interface.
 .
 This package contains the development files for the library.

Package: gir1.2-cryptui-0.0
Architecture: any
Section: libs
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the Seahorse CryptUI library
 Seahorse is a front end for GnuPG - the GNU Privacy Guard program -
 that integrates to the GNOME desktop. It is a tool for secure
 communications and data storage.  Data encryption and digital signature
 creation can easily be performed through a GUI and Key Management
 operations can easily be carried out through an intuitive interface.
 .
 This package contains introspection data for the Seahorse CryptUI
 library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --disable-update-mime-database \
			     --disable-schemas-install \
			     --disable-scrollkeeper \
			     --disable-libnotify \
			     --enable-pgp \
			     --with-gtk=3.0

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/seahorse/([\d\.]+)[02468]/seahorse-([\d\.]+)\.tar\.bz2

## seahorse 3.2.0

=== debian/changelog ===
seahorse (3.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Fix DNS-SD key sharing crasher and make compatible with seahorse-sharing
    - Removed unused spec file
    - Updated translations

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 26 Sep 2011 17:22:56 +0200

seahorse (3.1.92-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - Fix the SSH password prompting and uploading of keys
    - Fix behavior of password prompts when enter is pressed
    - Fix GtkComboText GTK+3 problems
    - Fix crasher when closing
    - Build and documentation fixes
    - Updated translations
  * Unfuzz patches.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 18 Sep 2011 13:47:38 +0200

seahorse (3.1.91-0ubuntu1) oneiric; urgency=low

  * New upstream version
  * debian/control.in: 
    - depends on the current gnome-keyring version since it ships a gsettings
      schemas used by seahorse
    - don't use libgconf, the new version uses gsettings instead    
  * 11_ubuntu_keyserver.patch: 
    - drop the corresponding key seems deprecated

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 06 Sep 2011 15:29:42 +0200

seahorse (3.1.4-0ubuntu2) oneiric; urgency=low

  * debian/control.in:
    - build-depends on libgck-1-dev not libgck-dev (lp: #829473)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Aug 2011 22:45:16 +0200

seahorse (3.1.4-0ubuntu1) oneiric; urgency=low

  * New upstream version
  * debian/control.in:
    - clean the library packages, that's a new source
    - don't build-depends on gir binaries,libdbus-glib,libnotify,scrollkeeper
  * Cleaned the install files, there is only one binary
  * debian/patches/01_autostart_patch.patch:
    - drop the autostart since that service is deprecated
  * debian/patches/01_lpi.patch:
    - new version update
  * debian/rules:
    - clean gtk configure option, the new version is gtk3 only
    - don't set a shlibs since the library is in a new source
  * debian/watch:
    - use bz2

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 25 Jul 2011 17:06:42 +0200

seahorse (3.1.1-0ubuntu1) oneiric; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Launchpad integration:
      + Add 01_lpi.patch.
      + debian/rules; Run autotools.
      + debian/control.in: Add liblaunchpad-integration-3.0-dev build dep.
    - debian/rules: Add a shlibs rule for libcryptui0a (>= 3.0.0)
    - Add 11_ubuntu-keyserver.patch: Make Ubuntu keyserver the default
    - debian/watch: Check for unstable versions.
    - debian/rules, debian/control.in: Enable libnotify support (temporarily
      disabled in Debian).
  * New upstream release.
  * Unfuzz patches for new version.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 11 Jul 2011 10:45:11 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: seahorse
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 8),
               cdbs (>= 0.4.41),
               dh-autoreconf,
               libgpgme11-dev (>= 1.0.0),
               libgck-1-dev (>= 3.0.0),
               libgcr-3-dev (>= 3.0.0),
               intltool (>= 0.35),
               libsoup2.4-dev,
               libldap2-dev,
               libavahi-glib-dev (>= 0.6),
               libavahi-client-dev (>= 0.6),
               gnome-doc-utils,
               gtk-doc-tools (>= 1.9),
               libgnome-keyring-dev (>= 3.0.0),
               libglib2.0-dev (>= 2.10.0),
               libgtk-3-dev (>= 2.90.0),
               gnome-pkg-tools,
               liblaunchpad-integration-3.0-dev
Build-Conflicts: gnupg2
Standards-Version: 3.9.2
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/seahorse/ubuntu
Homepage: http://live.gnome.org/Seahorse

Package: seahorse
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gnupg (>= 1.4.7),
         gnome-keyring (>> 3.1.90)
Recommends: openssh-client
Suggests: seahorse-plugins
Description: GNOME front end for GnuPG
 Seahorse is a front end for GnuPG - the GNU Privacy Guard program -
 that integrates to the GNOME desktop. It is a tool for secure
 communications and data storage.  Data encryption and digital signature
 creation can easily be performed through a GUI and Key Management
 operations can easily be carried out through an intuitive interface.

## seahorse 3.2.2

=== debian/changelog ===
seahorse (3.2.2-1) unstable; urgency=low

  [ Jordi Mallach ]
  * New upstream release.
  * Bump Build-Deps for GCK and GCR.
  * Remove obsolete Replaces.
  * Drop libcryptui and gir1.2 packages (moved to its own source).
  * Drop our manpage, it was merged upstream ages ago.
  * Update copyright file, remove full GFDL text and point to common
    licenses.
  * Watch for .xz tarballs.
  * Don't request GTK+3.0 on configure, its the only version supported.
  * Likewise for libnotify, it's gone with libcryptui.
  * Drop seahorse.install, as it's the only binary.
  * Drop 01_autostart_path.patch: obsolete.
  * Set Maintainer to the Debian GNOME team.

  [ Michael Biebl ]
  * debian/menu:
    - Update description, seahorse also manages SSH keys.
  * Refresh patches.
  * debian/control.in:
    - Drop Build-Depends on libdbus-glib-1-dev, no longer required.
    - Drop Build-Depends on scrollkeeper.
    - Change Build-Depends on libgck-dev → libgck-1-dev.
    - Add Depends on gnome-keyring (>= 3.2) for the org.gnome.crypto.pgp
      gsettings schema file.
  * debian/watch:
    - Fix regex to correctly match directories.
  * debian/seahorse.install:
    - Install the seahorse icon for the menu file.

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Nov 2011 22:11:01 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: seahorse
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: cdbs (>= 0.4.41),
               debhelper (>= 8),
               dh-autoreconf,
               libgpgme11-dev (>= 1.0.0),
               libgck-1-dev (>= 3.1.2),
               libgcr-3-dev (>= 3.1.5),
               intltool (>= 0.35),
               libsoup2.4-dev,
               libldap2-dev,
               libavahi-glib-dev (>= 0.6),
               libavahi-client-dev (>= 0.6),
               gnome-doc-utils,
               gtk-doc-tools (>= 1.9),
               libgnome-keyring-dev (>= 3.0.0),
               libglib2.0-dev (>= 2.10.0),
               libgtk-3-dev (>= 2.90.0),
               gnome-pkg-tools
Build-Conflicts: gnupg2
Standards-Version: 3.9.2
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/seahorse/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/seahorse/
Homepage: http://live.gnome.org/Seahorse

Package: seahorse
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gnupg (>= 1.4.7),
         gnome-keyring (>= 3.2)
Recommends: openssh-client
Suggests: seahorse-plugins
Description: GNOME front end for GnuPG
 Seahorse is a front end for GnuPG - the GNU Privacy Guard program -
 that integrates to the GNOME desktop. It is a tool for secure
 communications and data storage.  Data encryption and digital signature
 creation can easily be performed through a GUI and Key Management
 operations can easily be carried out through an intuitive interface.

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,4 @@
 DEB_CONFIGURE_EXTRA_FLAGS += --disable-update-mime-database \
 			     --disable-schemas-install \
 			     --disable-scrollkeeper \
-			     --disable-libnotify \
-			     --enable-pgp \
-			     --with-gtk=3.0
+			     --enable-pgp

## seahorse 3.4.1

=== debian/changelog ===
seahorse (3.4.1-2) unstable; urgency=low

  * Upload to unstable.
  * Tighten dependency on gcr and gnome-keyring.
  * Remove obsolete configure flags.

 -- Michael Biebl <biebl@debian.org>  Sat, 19 May 2012 07:26:18 +0200

seahorse (3.4.1-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * New upstream release.
  * debian/control.in:
    - Bump libgcr & libgck build-depends
    - Depend on gcr for gsettings schema

  [ Jordi Mallach ]
  * Don't suggest seahorse-plugins.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Refresh 99_ltmain_as-needed.patch with copy from dh-autoreconf.
  * Add 10_gpgme_keyring_finalize_typo.patch from upstream Git to fix a
    build failure caused by a typo.
  * Add 11_unavailable_signature_entries.patch from upstream Git to avoid
    getting erroneous "Unavailable entries" for key signatures.
  * Add 12_align_keyids_with_name_userid.patch from upstream Git to
    align keyids with name/signatures in key properties.

 -- Jordi Mallach <jordi@debian.org>  Tue, 15 May 2012 01:08:48 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Uploaders: Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 8),
                dh-autoreconf,
                libgpgme11-dev (>= 1.0.0),
-               libgck-1-dev (>= 3.1.2),
-               libgcr-3-dev (>= 3.1.5),
+               libgck-1-dev (>= 3.3.4),
+               libgcr-3-dev (>= 3.3.4),
                intltool (>= 0.35),
                libsoup2.4-dev,
                libldap2-dev,
@@ -26,7 +26,7 @@
                libgtk-3-dev (>= 2.90.0),
                gnome-pkg-tools
 Build-Conflicts: gnupg2
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/seahorse/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/seahorse/
 Homepage: http://live.gnome.org/Seahorse
@@ -35,10 +35,10 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         gcr (>= 3.4),
          gnupg (>= 1.4.7),
-         gnome-keyring (>= 3.2)
+         gnome-keyring (>= 3.4)
 Recommends: openssh-client
-Suggests: seahorse-plugins
 Description: GNOME front end for GnuPG
  Seahorse is a front end for GnuPG - the GNU Privacy Guard program -
  that integrates to the GNOME desktop. It is a tool for secure

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,5 @@
 
 LDFLAGS += -Wl,-O1 -Wl,--as-needed
 
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-update-mime-database \
-			     --disable-schemas-install \
-			     --disable-scrollkeeper \
-			     --enable-pgp
+DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper \
+                             --enable-pgp

## seahorse 3.6.0

=== debian/changelog ===
seahorse (3.6.0-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1056585)

 -- Matthew Fischer <matthew.fischer@ubuntu.com>  Tue, 25 Sep 2012 22:08:25 -0600

seahorse (3.5.92-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Port to new documentation infrastructure
      + BD on yelp-tools for this.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 18 Sep 2012 17:36:46 +0100

seahorse (3.5.91-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 04 Sep 2012 09:11:46 +1200

seahorse (3.5.90-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 21 Aug 2012 17:26:13 +1200

seahorse (3.5.4-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1025540)
  * debian/control:
    - Replace build-depends on libgnome-keyring-dev with libsecret-1-dev
    - Bump build-depends on libgtk-3-dev
  * debian/patches/use-stable-libsecret.patch:
    - Use the stable libsecret
  * debian/patches/10_gpgme_keyring_finalize_typo.patch:
  * debian/patches/11_unavailable_signature_entries.patch:
  * debian/patches/12_align_keyids_with_name_userid.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 30 Jul 2012 15:31:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: seahorse
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Uploaders: Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 8),
                dh-autoreconf,
@@ -19,11 +18,11 @@
                libldap2-dev,
                libavahi-glib-dev (>= 0.6),
                libavahi-client-dev (>= 0.6),
-               gnome-doc-utils,
+               yelp-tools,
                gtk-doc-tools (>= 1.9),
-               libgnome-keyring-dev (>= 3.0.0),
+               libsecret-1-dev (>= 0.5),
                libglib2.0-dev (>= 2.10.0),
-               libgtk-3-dev (>= 2.90.0),
+               libgtk-3-dev (>= 3.4.0),
                gnome-pkg-tools
 Build-Conflicts: gnupg2
 Standards-Version: 3.9.3

## seahorse 3.6.2

=== debian/changelog ===
seahorse (3.6.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release
    + Fix problem where keyring items overwrite one another. Regression since
    the migration to libsecret. Items stored manually by choosing 'Stored
    Password' overwrite one another. (BGO: #686407)

 -- Iain Lane <iain.lane@canonical.com>  Tue, 23 Oct 2012 09:50:08 +0100

seahorse (3.6.1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream version:
    - Strip DBus errors before displaying them
    - Fix regression for changing a keyring master password (lp: #1048484)
    - Updated translations
  * debian/patches/use_valid_help_url.patch:
    - Let help buttons point to valid documentation references (lp: #853137)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 Oct 2012 19:43:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: seahorse
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 8),
                dh-autoreconf,

## seahorse 3.6.3

=== debian/changelog ===
seahorse (3.6.3-0ubuntu1) raring; urgency=low

  * New upstream version
 
 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Nov 2012 11:41:34 +0100

## seahorse 3.8.2

=== debian/changelog ===
seahorse (3.8.2-0ubuntu1) saucy; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 May 2013 13:37:17 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 8),
                dh-autoreconf,

## seahorse 3.10.2

=== debian/changelog ===
seahorse (3.10.2-0ubuntu1) trusty; urgency=medium

  * New upstream version, fix pgp/ssh key export and SSH key generation

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Jan 2014 17:29:01 +0100

seahorse (3.10.1-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Fix generate-select dialog for GTK+ changes
    - Try to make as many password dialogs transient as possible
    - Show the sidebar by default
    - ssh: Bump the minimum key size to 768 bits
    - Add "DesktopSettings;X-XFCE-SettingsDialog;" to .desktop categories
    - pgp: Put the 'Comment' field in the advanced section of PGP key gen
    - Only permit import from clipboard when data is available
    - soup: use the SoupProxyResolverDefault feature
    - pgp: Fix uninitialized memory access
    - Port some of seahorse to vala code
    - Add a shell search provider for passwords and keys
    - Start using vala for internal interfaces
  * debian/control.in:
    - Use standards version 3.9.4
    - Build-depend on valac
    - Bump build-depends on libgcr-3-dev, libsoup2.4-dev, libsecret-1-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 16 Dec 2013 17:39:02 +1300

seahorse (3.8.2-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. (LP: #1261055) Remaining changes:
    - debian/control:
      + Drop obsolete build-depends on gnome-doc-utils and libgnome-keyring-dev
    - debian/patches/use-stable-libsecret.patch:
      + Use the stable libsecret.
    - debian/patches/use_valid_help_url:
      + Let help buttons point to valid documentation references.
  * debian/control: Update Vcs-* field.

 -- Artur Rona <ari-tczew@tlen.pl>  Sun, 15 Dec 2013 00:32:00 +0100

seahorse (3.8.2-1) unstable; urgency=low

  [ Thomas Bechtold ]
  * New upstream release

  [ Andreas Henriksson ]
  * Drop gnupg2 Build-Conflicts added in 1.0-1, should be fixed since
    a long time. See patch added in 1.0.1-6 and later merged upstream.
    (Previous related changes are tagged with bug #407800)
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 25 May 2013 23:52:47 +0200

seahorse (3.8.2-0ubuntu2) trusty; urgency=low

  * Rebuild to get ride of the libgcr transition depends (lp: #1241881)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 11 Nov 2013 11:38:17 +0100

seahorse (3.8.0-1) experimental; urgency=low

  * New upstream release.

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Mon, 25 Mar 2013 21:40:43 +0100

seahorse (3.7.91-1) experimental; urgency=low

  * The "where's the tarball?" release.
    - 3.7.92 tagged in upstream git, but no tarball on ftp.gnome.org

  * New upstream release.
  * Let dh-autoreconf patch in --as-needed via
    DEB_DH_AUTORECONF_ARGS and drop debian/patches/99_ltmain_as-needed.patch
  * Drop ancient debian/patches/08_force_ssh.patch and just build-depend
    on openssh-client. Gosh for maintenance cost vs micro-optimization.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 24 Mar 2013 16:07:45 +0100

seahorse (3.6.3-1) experimental; urgency=low

  [ Thomas Bechtold ]
  * New upstream release (Closes: #701648)
  * debian/patches/10_gpgme_keyring_finalize_typo.patch:
    - removed, applied upstream
  * debian/patches/11_unavailable_signature_entries.patch:
    - removed, applied upstream
  * debian/patches/12_align_keyids_with_name_userid.patch
    - removed, applied upstream
  * debian/control
    - Bump libgtk build-depends
    - Add libsecret to build-depends

  [ Andreas Henriksson ]
  * Add build-dependency on yelp-tools needed by build system for help

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 27 Feb 2013 13:17:59 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: seahorse
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends: cdbs (>= 0.4.41),
               debhelper (>= 8),
               dh-autoreconf,
               valac (>= 0.18.0),               
               libgpgme11-dev (>= 1.0.0),
               libgck-1-dev (>= 3.3.4),
               libgcr-3-dev (>= 3.9.1),
               intltool (>= 0.35),
               libsoup2.4-dev (>= 2.33.92),
               libldap2-dev,
               libavahi-glib-dev (>= 0.6),
               libavahi-client-dev (>= 0.6),
               gtk-doc-tools (>= 1.9),
               libglib2.0-dev (>= 2.10.0),
               libgtk-3-dev (>= 3.4.0),
               libsecret-1-dev (>= 0.16),
               gnome-pkg-tools,
               openssh-client,
               yelp-tools
Standards-Version: 3.9.4
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/seahorse/ubuntu
Homepage: http://live.gnome.org/Seahorse

Package: seahorse
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gcr (>= 3.9.1),
         gnupg (>= 1.4.7),
         gnome-keyring (>= 3.4)
Recommends: openssh-client
Description: GNOME front end for GnuPG
 Seahorse is a front end for GnuPG - the GNU Privacy Guard program -
 that integrates to the GNOME desktop. It is a tool for secure
 communications and data storage.  Data encryption and digital signature
 creation can easily be performed through a GUI and Key Management
 operations can easily be carried out through an intuitive interface.

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,5 @@
 
 DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper \
                              --enable-pgp
+
+DEB_DH_AUTORECONF_ARGS = --as-needed

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/seahorse/([\d\.]+[02468])/seahorse-([\d\.]+)\.tar\.xz

## seahorse 3.12.2

=== debian/changelog ===
seahorse (3.12.2-1ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/use-stable-libsecret.patch:
      + Use the stable libsecret.
    - debian/patches/use_valid_help_url:
      + Let help buttons point to valid documentation references.
    - debian/control: Update Vcs-* field.

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 14 Jun 2014 07:32:29 +1000

seahorse (3.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 May 2014 19:53:51 +0200

seahorse (3.12.0-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * debian/control.in:
    - Update homepage
    - Drop obsolete build-depends on gnome-doc-utils and libgnome-keyring

  [ Andreas Henriksson ]
  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - bump libgck-1-dev to (>= 3.11.91)
    - bump libgcr-3-dev to (>= 3.11.91)
    - bump libsecret-1-dev to (>= 0.16)
    - bump libsoup2.4-dev to (>= 2.33.92)
    - add valac (>= 0.22)
  * debian/rules: set DEB_LDFLAGS_MAINT_APPEND instead of LDFLAGS
  * Bump Standards-Version to 3.9.5
  * Drop debian/patches/30_preferences_menu.patch
    - doesn't apply and likely of negliable use these days anyway.
  * Add debian/patches/fix-desktop-path.patch
    - work around broken desktop file generation while trying to figure
      out the real cause/solution.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Mar 2014 20:34:51 +0100

=== debian/control ===
--- 
+++ 
@@ -11,33 +11,33 @@
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 8),
                dh-autoreconf,
-               valac (>= 0.18.0),               
+               gnome-pkg-tools,
+               gtk-doc-tools (>= 1.9),
+               intltool (>= 0.35),
+               libavahi-client-dev (>= 0.6),
+               libavahi-glib-dev (>= 0.6),
+               libgck-1-dev (>= 3.11.91),
+               libgcr-3-dev (>= 3.11.91),
+               libglib2.0-dev (>= 2.10.0),
                libgpgme11-dev (>= 1.0.0),
-               libgck-1-dev (>= 3.3.4),
-               libgcr-3-dev (>= 3.9.1),
-               intltool (>= 0.35),
+               libgtk-3-dev (>= 3.4.0),
+               libldap2-dev,
+               libsecret-1-dev (>= 0.16),
                libsoup2.4-dev (>= 2.33.92),
-               libldap2-dev,
-               libavahi-glib-dev (>= 0.6),
-               libavahi-client-dev (>= 0.6),
-               gtk-doc-tools (>= 1.9),
-               libglib2.0-dev (>= 2.10.0),
-               libgtk-3-dev (>= 3.4.0),
-               libsecret-1-dev (>= 0.16),
-               gnome-pkg-tools,
                openssh-client,
+               valac (>= 0.22),
                yelp-tools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/seahorse/ubuntu
-Homepage: http://live.gnome.org/Seahorse
+Homepage: https://wiki.gnome.org/Seahorse
 
 Package: seahorse
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         gcr (>= 3.9.1),
-         gnupg (>= 1.4.7),
-         gnome-keyring (>= 3.4)
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         gcr (>= 3.4),
+         gnome-keyring (>= 3.4),
+         gnupg (>= 1.4.7)
 Recommends: openssh-client
 Description: GNOME front end for GnuPG
  Seahorse is a front end for GnuPG - the GNU Privacy Guard program -
